// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded darker_concrete_blocks.js)')



// darker_concrete_bricks
StartupEvents.registry('block', event => {
    event.create('darker_concrete_bricks')
        .displayName('Darker Concrete Bricks')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// cracked_darker_concrete_bricks
StartupEvents.registry('block', event => {
    event.create('cracked_darker_concrete_bricks')
        .displayName('Cracked Darker Concrete Bricks')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// mossy_darker_concrete_bricks
StartupEvents.registry('block', event => {
    event.create('mossy_darker_concrete_bricks')
        .displayName('Mossy Darker Concrete Bricks')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// small_darker_concrete_bricks
StartupEvents.registry('block', event => {
    event.create('small_darker_concrete_bricks')
        .displayName('Small Darker Concrete Bricks')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// square_darker_concrete_bricks
StartupEvents.registry('block', event => {
    event.create('square_darker_concrete_bricks')
        .displayName('Square Darker Concrete Bricks')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// chiseled_darker_concrete
StartupEvents.registry('block', event => {
    event.create('chiseled_darker_concrete')
        .displayName('Chiseled Darker Concrete')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// darker_concrete_cobblestone
StartupEvents.registry('block', event => {
    event.create('darker_concrete_cobblestone')
        .displayName('Darker Concrete Cobblestone')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// mossy_darker_concrete_cobblestone
StartupEvents.registry('block', event => {
    event.create('mossy_darker_concrete_cobblestone')
        .displayName('Mossy Darker Concrete Cobblestone')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// polished_darker_concrete
StartupEvents.registry('block', event => {
    event.create('polished_darker_concrete')
        .displayName('Polished Darker Concrete')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// // smooth_darker_concrete
// StartupEvents.registry('block', event => {
//     event.create('smooth_darker_concrete')
//         .displayName('Smooth Darker Concrete')
//         .soundType('stone')
//         .hardness(5.0)
//         .resistance(6.0)
//         .requiresTool(true)
// })

// darker_concrete
StartupEvents.registry('block', event => {
    event.create('darker_concrete')
        .displayName('Darker Concrete')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// darker_concrete_tile
StartupEvents.registry('block', event => {
    event.create('darker_concrete_tile')
        .displayName('Darker Concrete Tile')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// darker_concrete_small_tile
StartupEvents.registry('block', event => {
    event.create('darker_concrete_small_tile')
        .displayName('Darker Concrete Small Tile')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// darker_concrete_windmill_a
StartupEvents.registry('block', event => {
    event.create('darker_concrete_windmill_a')
        .displayName('Darker Concrete Windmill A')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})

// darker_concrete_windmill_b
StartupEvents.registry('block', event => {
    event.create('darker_concrete_windmill_b')
        .displayName('Darker Concrete Windmill B')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/polished_darker_concrete.json (rotation)
assets/kubejs/models/block/polished_darker_concrete.json (parent to GT block + texture keys)
assets/kubejs/models/item/polished_darker_concrete.json (item uses block model)
assets/kubejs/textures/block/polished_darker_concrete/polished.png
*/